package com.community.commom.fushi.error;

/**
 * 富士 业务专用异常
 * @author weiximei
 */
public class FuShiException extends RuntimeException {

    private Integer code;

    private String msg;

    public FuShiException(Integer code, String msg, Throwable t) {
        super(msg, t);
        this.code = code;
        this.msg = msg;
    }

    public FuShiException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public FuShiException(Integer code, String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }

    public FuShiException(Integer code, String msg, Object ...args) {
        this(String.format(msg, args));
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
